%define module_name Task-POE-IRC
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(POE.pm) perl(POE/Component/Client/DNS.pm) perl(POE/Component/IRC.pm) perl(POE/Component/Server/IRC.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.14
Release: alt1
Summary: Task to install all POE related IRC modules.
Group: Development/Perl
License: perl
URL: https://github.com/bingos/perl-task-modules

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Task::POE::IRC - the Task manpage to install all the POE manpage related IRC modules and optional dependencies.

  POE 1.003

  POE::Component::Client::DNS 1.00

  POE::Component::IRC 5.88

  POE::Component::Server::IRC 1.32


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes.old README Changes
%perl_vendor_privlib/T*

%changelog
* Mon Feb 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.14-alt1
- regenerated from template by package builder

* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1
- initial import by package builder

